[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Cluster-devel] gfs2-utils: master - GFS2: Add script to create release tarball




did you try to use "make dist" directly from the build tree?

based on the version/name info in configure.ac, it will do tests and then create the tarball release for you. The tests include build of the tarball, and extra checks of the build system itself.-

The script you wrote would also pack .git related stuff that you don't want to ship in a release.

Fabio

On 10/08/2010 08:11 PM, Steven Whitehouse wrote:
Gitweb:        http://git.fedorahosted.org/git/gfs2-utils.git?p=gfs2-utils.git;a=commitdiff;h=8ad7ccfab98e55b69987f8634feab9083cd86431
Commit:        8ad7ccfab98e55b69987f8634feab9083cd86431
Parent:        9fd48ba18df408b00041a0b18e60b0f0e3032e9a
Author:        Steven Whitehouse<swhiteho redhat com>
AuthorDate:    Fri Oct 8 18:43:14 2010 +0100
Committer:     Steven Whitehouse<swhiteho redhat com>
CommitterDate: Fri Oct 8 18:43:14 2010 +0100

GFS2: Add script to create release tarball

Based upon the branch and current release tag, this script
creates a tar ball suitable for release.

Signed-off-by: Steven Whitehouse<swhiteho redhat com>
---
  make-tarball.sh |   22 ++++++++++++++++++++++
  1 files changed, 22 insertions(+), 0 deletions(-)

diff --git a/make-tarball.sh b/make-tarball.sh
new file mode 100755
index 0000000..71d78fe
--- /dev/null
+++ b/make-tarball.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+FILES=`git ls-files | sed -e's/^/gfs2-utils\//'`
+BRANCH=`git show-branch --current | sed -e's/.*\[//' -e's/\].*$//'`
+DESC=`git describe 2>/dev/null`
+
+if [ $? != 128 ]; then
+  if [ ${BRANCH} == "master" ]; then
+    VERSION=-${DESC}
+  else
+    VERSION=-${BRANCH}-${DESC}
+  fi
+fi
+
+DEST=`pwd`/gfs2-utils${VERSION}.tar.gz
+
+echo "Creating ${DEST}..."
+
+(cd ..; tar -zcf ${DEST} ${FILES})
+
+echo "Done."
+
_______________________________________________
cluster-commits mailing list
cluster-commits lists fedorahosted org
https://fedorahosted.org/mailman/listinfo/cluster-commits


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]